Start an identity-bound durable HTTP operation
curl --request POST \
--url https://app.factorize.sh/api/v1/agent/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integration": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"headers": {},
"idempotencyKey": "<string>",
"maxResultBytes": 17408,
"bodySource": {
"kind": "payload",
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"multipart": [
{
"name": "<string>",
"text": "<string>",
"source": {
"kind": "payload",
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"filename": "<string>",
"mediaType": "<string>"
}
],
"body": "<string>",
"encoding": "utf8"
}
'import requests
url = "https://app.factorize.sh/api/v1/agent/operations"
payload = {
"integration": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"headers": {},
"idempotencyKey": "<string>",
"maxResultBytes": 17408,
"bodySource": {
"kind": "payload",
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"multipart": [
{
"name": "<string>",
"text": "<string>",
"source": {
"kind": "payload",
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"filename": "<string>",
"mediaType": "<string>"
}
],
"body": "<string>",
"encoding": "utf8"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
integration: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
path: '<string>',
headers: {},
idempotencyKey: '<string>',
maxResultBytes: 17408,
bodySource: {kind: 'payload', handle: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
multipart: [
{
name: '<string>',
text: '<string>',
source: {kind: 'payload', handle: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
filename: '<string>',
mediaType: '<string>'
}
],
body: JSON.stringify('<string>'),
encoding: 'utf8'
})
};
fetch('https://app.factorize.sh/api/v1/agent/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/agent/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'integration' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'path' => '<string>',
'headers' => [
],
'idempotencyKey' => '<string>',
'maxResultBytes' => 17408,
'bodySource' => [
'kind' => 'payload',
'handle' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'multipart' => [
[
'name' => '<string>',
'text' => '<string>',
'source' => [
'kind' => 'payload',
'handle' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'filename' => '<string>',
'mediaType' => '<string>'
]
],
'body' => '<string>',
'encoding' => 'utf8'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/agent/operations"
payload := strings.NewReader("{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"headers\": {},\n \"idempotencyKey\": \"<string>\",\n \"maxResultBytes\": 17408,\n \"bodySource\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"multipart\": [\n {\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"source\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"filename\": \"<string>\",\n \"mediaType\": \"<string>\"\n }\n ],\n \"body\": \"<string>\",\n \"encoding\": \"utf8\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/agent/operations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"headers\": {},\n \"idempotencyKey\": \"<string>\",\n \"maxResultBytes\": 17408,\n \"bodySource\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"multipart\": [\n {\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"source\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"filename\": \"<string>\",\n \"mediaType\": \"<string>\"\n }\n ],\n \"body\": \"<string>\",\n \"encoding\": \"utf8\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/agent/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"headers\": {},\n \"idempotencyKey\": \"<string>\",\n \"maxResultBytes\": 17408,\n \"bodySource\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"multipart\": [\n {\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"source\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"filename\": \"<string>\",\n \"mediaType\": \"<string>\"\n }\n ],\n \"body\": \"<string>\",\n \"encoding\": \"utf8\"\n}"
response = http.request(request)
puts response.read_body{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "queued",
"status": 0,
"size": 0,
"partial": true,
"effectsUncertain": true,
"error": {
"code": "<string>",
"message": "<string>"
},
"expiresAt": "<string>",
"instructions": "<string>",
"responseHandle": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}agent
Start an identity-bound durable HTTP operation
Fixed 32 MiB request, 64 MiB response and 15 minute upstream limits. An idempotencyKey safely reuses an accepted operation; interrupted dispatch is never automatically replayed. Poll/read/cancel using the operation ID.
Accepts a scoped bearer token, vendor-verified run identity, or interactive owner session.
POST
/
api
/
v1
/
agent
/
operations
Start an identity-bound durable HTTP operation
curl --request POST \
--url https://app.factorize.sh/api/v1/agent/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integration": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"headers": {},
"idempotencyKey": "<string>",
"maxResultBytes": 17408,
"bodySource": {
"kind": "payload",
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"multipart": [
{
"name": "<string>",
"text": "<string>",
"source": {
"kind": "payload",
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"filename": "<string>",
"mediaType": "<string>"
}
],
"body": "<string>",
"encoding": "utf8"
}
'import requests
url = "https://app.factorize.sh/api/v1/agent/operations"
payload = {
"integration": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"headers": {},
"idempotencyKey": "<string>",
"maxResultBytes": 17408,
"bodySource": {
"kind": "payload",
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"multipart": [
{
"name": "<string>",
"text": "<string>",
"source": {
"kind": "payload",
"handle": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"filename": "<string>",
"mediaType": "<string>"
}
],
"body": "<string>",
"encoding": "utf8"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
integration: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
path: '<string>',
headers: {},
idempotencyKey: '<string>',
maxResultBytes: 17408,
bodySource: {kind: 'payload', handle: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
multipart: [
{
name: '<string>',
text: '<string>',
source: {kind: 'payload', handle: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
filename: '<string>',
mediaType: '<string>'
}
],
body: JSON.stringify('<string>'),
encoding: 'utf8'
})
};
fetch('https://app.factorize.sh/api/v1/agent/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/agent/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'integration' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'path' => '<string>',
'headers' => [
],
'idempotencyKey' => '<string>',
'maxResultBytes' => 17408,
'bodySource' => [
'kind' => 'payload',
'handle' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'multipart' => [
[
'name' => '<string>',
'text' => '<string>',
'source' => [
'kind' => 'payload',
'handle' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'filename' => '<string>',
'mediaType' => '<string>'
]
],
'body' => '<string>',
'encoding' => 'utf8'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/agent/operations"
payload := strings.NewReader("{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"headers\": {},\n \"idempotencyKey\": \"<string>\",\n \"maxResultBytes\": 17408,\n \"bodySource\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"multipart\": [\n {\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"source\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"filename\": \"<string>\",\n \"mediaType\": \"<string>\"\n }\n ],\n \"body\": \"<string>\",\n \"encoding\": \"utf8\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/agent/operations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"headers\": {},\n \"idempotencyKey\": \"<string>\",\n \"maxResultBytes\": 17408,\n \"bodySource\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"multipart\": [\n {\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"source\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"filename\": \"<string>\",\n \"mediaType\": \"<string>\"\n }\n ],\n \"body\": \"<string>\",\n \"encoding\": \"utf8\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/agent/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"headers\": {},\n \"idempotencyKey\": \"<string>\",\n \"maxResultBytes\": 17408,\n \"bodySource\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"multipart\": [\n {\n \"name\": \"<string>\",\n \"text\": \"<string>\",\n \"source\": {\n \"kind\": \"payload\",\n \"handle\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"filename\": \"<string>\",\n \"mediaType\": \"<string>\"\n }\n ],\n \"body\": \"<string>\",\n \"encoding\": \"utf8\"\n}"
response = http.request(request)
puts response.read_body{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "queued",
"status": 0,
"size": 0,
"partial": true,
"effectsUncertain": true,
"error": {
"code": "<string>",
"message": "<string>"
},
"expiresAt": "<string>",
"instructions": "<string>",
"responseHandle": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
bearerAuthvendorRunIdentity & runIdentityHeadercookieAuth
Body
application/json
Response
Durable operation state